<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org/">
<head>
    <meta charset="UTF-8">
    <link href="http://netdna.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-star-rating/4.0.6/css/star-rating.min.css" media="all" rel="stylesheet" type="text/css" />
    <!-- important mandatory libraries -->
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <link rel="stylesheet" type="text/css" href="/star-rating.css" media="screen"/>
    <script  src="/star-rating.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <title >Title</title>
</head>
<body>

<div class="container">
    <br>
    <h3 style="font-size:250%;">Listado de métodos</h3>
    <!--        tabla que nuestra los datos-->
    <table id="metodos" class="table table-bordered">
        <tr>
            <th>Nombre</th>
            <th>Valoración</th>
            <th></th>
        </tr>
        <tr th:each="metodo: ${metodos}">
            <td th:text="${metodo.metodoFirma}"></td>
            <td >
                <input type="hidden" class="rating" data-glyphicon="0"
                       th:value="${metodo.rating}" disabled>
            </td>
            <td>
                <a th:href="@{'api/' + ${metodo.metodoId}}" class="btn btn-primary btn-sm">Detalles</a>
            </td>
        </tr>
    </table>
</div>
</body>
</html>
